Bug 1188909 - Interface Details Implementation Attribute should be validated by Java package naming rule in BPMN2 Diagram Editor
Summary: Interface Details Implementation Attribute should be validated by Java packag...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Jozef Marko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-04 01:45 UTC by ksuzumur
Modified: 2019-03-22 07:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)
process with corrupeted interface implementation (7.36 KB, application/xml)
2015-02-16 12:05 UTC, Jozef Marko
no flags Details

Description ksuzumur 2015-02-04 01:45:14 UTC
Description of problem:
Interface Details Implementation Attribute should be validated by Java package naming rule in BPMN2 Diagram Editor.

Version-Release number of selected component (if applicable):
BPMS 6.0.3
JBDS 8.0 Early Access
BPMN2 Modeler - Diagram Editor	1.1.1.201412181844
BPMN2 Modeler - Diagram Editor	1.1.2.201501301814


How reproducible:
The user can input a non-alphanumeric character in Interfeces -> Interface Details -> Implementation attribute in BPMN2 Diagram Editor. 

For example, the user can input the value "%0)&#123$#" in Implementation attribute and save the BPMN file. 
But the actual value in the xml is "implementationRef="123$#"".

Steps to Reproduce:
1. Input a value "%0)&#123$#" in Implementation attribute.
2. Save the bpmn file.
3. Open with XML Editor and check the implementationRef attribute.

Expected results:
Prevent to input a non-alphanumeric character
or allow to input a package name

Additional info:

Comment 1 Robert (Bob) Brodt 2015-02-09 19:02:45 UTC
Fixed in Luna build 1.1.2.201502091842
download.eclipse.org/bpmn2-modeler/updates/luna/1.1.2/

Fixed in Kepler build 1.0.4.201502091849
download.eclipse.org/bpmn2-modeler/updates/kepler/1.0.4/

Comment 3 Jozef Marko 2015-02-16 12:05:21 UTC
Created attachment 992153 [details]
process with corrupeted interface implementation

Comment 4 Jozef Marko 2015-02-16 12:11:07 UTC
I have manually corrupted interface implementation in the attachment 992153 [details].

Steps to reproduce a bug:
1) open the attached process with bpmn modeler
2) check problems view
3) double click on problem 'The implementation for Interface Document must be a valid Java Type'
4) You will see dialog with 3 tabs 'General', 'Interfaces' and 'Interface'

Expected results:
In step 4 there should be only tabs 'General' and 'Interface'

Reproduced on:
BPMN2 Modeler 1.1.2.201502121708

Comment 5 Robert (Bob) Brodt 2015-02-16 17:06:11 UTC
I'm just wondering what the use case is for being able to edit a manually corrupted file - it doesn't seem like this is something you would "find in nature" ;)

Anyway, I see your point for selecting the right property sheets for a selected object. Looks like I was using the same property sheet handler for both Processes (which should display a list of Interfaces) and Interface details.

This will be fixed in the nightly builds.

Comment 6 Robert (Bob) Brodt 2015-02-23 19:33:34 UTC
Done

Comment 7 Jozef Marko 2015-04-02 11:18:54 UTC
Verified on jbds-8.1.0.CR1_jbdsis-8.0.1.CR1 - BPMN2 Modeler 1.1.2.Final

Please, only notice that $ sign is correct for example:
com.sample.MainClass$PublicInnerClass


Note You need to log in before you can comment on or make changes to this bug.